package lab16_composite.ex3.leaf;

import lab16_composite.ex3.component.Component;

import java.util.ArrayList;

public class Leaf extends Component {
    //Attributes

    private final String name;

    //Constructor
    public Leaf(String n) {
        name = n;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return "Leaf " + name;
    }

    @Override
    public ArrayList<Component> getChildren() {
        return new ArrayList<Component>();
    }
}
